## ros-iron-grid-map-cv 2.1.0

=== debian/changelog ===
ros-iron-grid-map-cv (2.1.0-1jammy) jammy; urgency=high

  * fix: change cv_bridge.h -> .hpp (#376 <https://github.com/ANYbotics/grid_map/issues/376>)
  * Contributors: Iván López Broceño

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 07 Nov 2022 15:00:00 -0000

ros-iron-grid-map-cv (2.0.0-1jammy) jammy; urgency=high

  * fix: mark Eigen library as SYSTEM
  * fix: build error on jammy
  * Initial ROS2 port
  * Contributors: Maximilian Wulf, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-iron-grid-map-cv (1.6.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 15:00:00 -0000

ros-iron-grid-map-cv (1.6.1-1jammy) jammy; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 15:00:00 -0000

ros-iron-grid-map-cv (1.6.0-1jammy) jammy; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Makes the OpenCV include a bit more specific and adds in a dependency into the catkin_package call.
  * Moved inpaint filter to grid_map_cv, extended filter demo, cleanups.
  * Fixed problem where clamp changes were disregarded (#115 <https://github.com/anybotics/grid_map/issues/115> from Le-Fix/fix/toImageClamp).
  * Contributors: Péter Fankhauser, Perry Franklin, Le-Fix

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 15:00:00 -0000

ros-iron-grid-map-cv (1.5.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-cv (1.5.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-cv (1.5.0-1jammy) jammy; urgency=high

  * Fixed bug for change resolution function in OpenCV processing class (including unit tests). (#91 <https://github.com/anybotics/grid_map/issues/91>).
  * Extend grid_map_cv unit test for transparent pixels/nan-values.
  * Remove constructor and destructor declaration in GridMapCvConverter.
  * Contributors: Peter Fankhauser, Marco Camurri, Sascha

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-iron-grid-map-cv (1.4.2-1jammy) jammy; urgency=high

  * Fixed conversion to/from images in float&double format.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-iron-grid-map-cv (1.4.1-1jammy) jammy; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 15:00:00 -0000

ros-iron-grid-map-cv (1.4.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-iron-grid-map-cv (1.3.3-1jammy) jammy; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-cv (1.3.2-1jammy) jammy; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-cv (1.3.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-cv (1.3.0-1jammy) jammy; urgency=high

  * Separated OpenCV to grid map conversions to grid_map_cv package. The new methods
    are more generalized, faster, and can be used without ROS message types.
  * Added new convenience function to change the resolution of grid maps with help of the OpenCV interpolation methods.
  * Added initializeFromImage() to GridMapCvConverter.
  * Added unit tests for grid_map_cv. Updated documentation.
  * Resolving build errors for OpenCV.
  * Fixed typo and added documentation.
  * Contributors: Peter Fankhauser, Dominic Jud,

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 15:00:00 -0000
